import { get, put, post, deletes } from '@/http/index'

// 查询装机信息列表
export const getAirInstall = async (data) => {
  return await get('/als/airInstall/list', data)
}

// 新增装机信息
export const addAirInstall = async (data) => {
  return await post('/als/airInstall', data)
}

// 修改装机信息
export const updateAirInstall = async (data) => {
  return await put('/als/airInstall', data)
}

// 删除装机信息
export const removeAirInstall = async (id) => {
  return await deletes('/als/airInstall/' + id)
}

//  获取机种和机型树
export const getAircaftTypeAndModelTree = async (data) => {
  return await get('/basicdata/aircaftCatalog/getAircaftTypeAndModelTree', data)
}
